###############################################################################
#
# map.pl -  Map definition
#
## Copyright (C) 2009  Rainer Walther  (rainerwalther-mail@web.de)
#
# Creative Commons Lizenz mit den Zusaetzen (by, nc, sa)
#
# Es ist Ihnen gestattet: 
#     * das Werk vervielfltigen, verbreiten und ffentlich zugnglich machen
#     * Abwandlungen bzw. Bearbeitungen des Inhaltes anfertigen
# 
# Zu den folgenden Bedingungen:
#     * Namensnennung.
#       Sie mssen den Namen des Autors/Rechteinhabers in der von ihm festgelegten Weise nennen.
#     * Keine kommerzielle Nutzung.
#       Dieses Werk darf nicht fr kommerzielle Zwecke verwendet werden.
#     * Weitergabe unter gleichen Bedingungen.
#       Wenn Sie den lizenzierten Inhalt bearbeiten oder in anderer Weise umgestalten,
#       verndern oder als Grundlage fr einen anderen Inhalt verwenden,
#       drfen Sie den neu entstandenen Inhalt nur unter Verwendung von Lizenzbedingungen
#       weitergeben, die mit denen dieses Lizenzvertrages identisch oder vergleichbar sind.
# 
# Im Falle einer Verbreitung mssen Sie anderen die Lizenzbedingungen, unter welche dieses
# Werk fllt, mitteilen. Am Einfachsten ist es, einen Link auf diese Seite einzubinden.
# 
# Jede der vorgenannten Bedingungen kann aufgehoben werden, sofern Sie die Einwilligung
# des Rechteinhabers dazu erhalten.
# 
# Diese Lizenz lsst die Urheberpersnlichkeitsrechte unberhrt.
# 
# Weitere Details zur Lizenzbestimmung gibt es hier:
#   Kurzform: http://creativecommons.org/licenses/by-nc-sa/3.0/de/
#   Komplett: http://creativecommons.org/licenses/by-nc-sa/3.0/de/legalcode
#
###############################################################################
##
# 2009-03-06 0.0.1 rw created
# 2009-04-01 0.1.0 rw RC1
#
###############################################################################

$Version{'map/map.pl'} = "0.1.0 - 2009-04-01";

%Maps =
    (
    Hemhofen => {
        'Name' => "Hemhofen",
        'Size_X' => '800',
        'Size_Y' => '600',
        'File' => 'hemhofen-800.gif',
	
        'P1_x' => '66',               # calibration P1, P2
        'P1_y' => '62',
        'P2_x' => '778',
        'P2_y' => '488',
        'P1_Lat' => '49.685333',
        'P1_Lon' => '10.950134',
        'P2_Lat' => '49.682949',
        'P2_Lon' => '10.944580',

        'Border' => [ 555, 430,       # airfield border
                      516, 555,
                      258, 555,
                      100, 300,
                      580, 260,
                      530, 94,
                      627, 130,
                      735, 300,
                      680, 400,
                      757, 470,
                      720, 515,
                      575, 420,
                    ],
        },


    Default => {
        'Name' => "Default",
        'Size_X' => '800',
        'Size_Y' => '600',
        'File' => 'default-800.gif',

        'P1_x' => '71',               # calibration P1, P2
        'P1_y' => '472',
        'P2_x' => '500',
        'P2_y' => '103',
        'P1_Lat' => '48.856253',
        'P1_Lon' => '2.3500000',
        'P2_Lat' => '54.090153',
        'P2_Lon' => '12.133249',
        },
    );

# Die verwendete Karte
my $MapDefault = $Cfg->{'map'}->{'MapDefault'};
$Maps{'Current'} = $Maps{$MapDefault};

#
# Todo: Karte automatisch anhand der aktuellen GPS Position auswhlen
#

1;

__END__
